package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdPractitionerHiringContractTerms;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MdPractitionerHiringContractTermsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdPractitionerHiringContractTerms record);

    int insertSelective(MdPractitionerHiringContractTerms record);

    MdPractitionerHiringContractTerms selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdPractitionerHiringContractTerms record);

    int updateByPrimaryKey(MdPractitionerHiringContractTerms record);

    int updateBatch(List<MdPractitionerHiringContractTerms> list);

    int updateBatchSelective(List<MdPractitionerHiringContractTerms> list);

    int batchInsert(@Param("list") List<MdPractitionerHiringContractTerms> list);
}